// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class SetNominalValueRequest extends ValidatedRequest {
    securityId;
    nominalValue;
    nominalValueDecimals;
    constructor({ securityId, nominalValue, nominalValueDecimals, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            nominalValue: FormatValidation.checkString({ emptyCheck: true }),
            nominalValueDecimals: FormatValidation.checkNumber({ min: 0, max: 255 }),
        });
        this.securityId = securityId;
        this.nominalValue = nominalValue;
        this.nominalValueDecimals = nominalValueDecimals;
    }
}
